<?php

/**
 * Implements hook_rules_condition_info().
 */
function commerce_fulfilment_oms_rules_action_info() {
  $actions = array();

  $actions['commerce_fulfilment_oms_rules_sendorder_action'] = array(
    'label' => t('Send order to OMS'),
    'type' => 'commerce_order',
    'configurable' => FALSE,
    'parameter' => array(
      'commerce_order' => array(
        'label' => t('Order', array(), array('context' => 'a drupal commerce order')),
        'type' => 'commerce_order',
        'skip save' => TRUE,
      ),
    ),
    'group' => t('Commerce Fulfilment'),
  );

  return $actions;
}


/**
 * Implements hook_rules_event_info().
 */
function commerce_fulfilment_oms_rules_event_info() {
  $events = array();

  $events['commerce_fulfilment_oms_rules_orderfulfiled_event'] = array(
    'label' => t('An order has been fulfilled'),
    'group' => t('Commerce Fulfilment'),
    'variables' => array(
      'commerce_order' => array(
        'label' => t('Order', array(), array('context' => 'a drupal commerce order')),
        'type' => 'commerce_order',
        'skip save' => TRUE,
      ),
    ),
  );

  return $events;
}


/**
 * Action: Apply a shipping rate to an order.
 */
function commerce_fulfilment_oms_rules_sendorder_action($order, $context = array()) {
  try {
    $oms_order_id = commerce_fulfilment_oms_create_sales_order($order);
    $log = t('Order was successfully sent to OMS via the API.');
    $status = 'processing';
  } catch (Exception $e) {
    $log = t('OMS rejected the order (!message).', array('!message' => $e->getMessage()));
    $status = 'review';
  }

  commerce_order_status_update($order, $status, FALSE, TRUE, $log);
}
